package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考试试卷题卡信息对象
 * @Author: CaoZixuan
 * @Date: 2022-09-01
 */
public class ExamPaperInfoDto {

    @ApiModelProperty("卷型")
    private String name;

    @ApiModelProperty("附件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long attachmentId;

    @ApiModelProperty("试卷文件名称")
    private String filename;

    @ApiModelProperty("试卷页数")
    private Integer pages;

    private Boolean canDelete;

    private Boolean isExposed;

    @ApiModelProperty("题卡主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cardId;

    @ApiModelProperty("原卷")
    private Original original;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public Boolean getCanDelete() {
        return canDelete;
    }

    public void setCanDelete(Boolean canDelete) {
        this.canDelete = canDelete;
    }

    public Boolean getExposed() {
        return isExposed;
    }

    public void setExposed(Boolean exposed) {
        isExposed = exposed;
    }

    public Long getCardId() {
        return cardId;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public Original getOriginal() {
        return original;
    }

    public void setOriginal(Original original) {
        this.original = original;
    }
}
